<!DOCTYPE html>
<html>

<head lang="en">
    <meta charset="UTF-8">
    <title>Acad276 Practical Exam: Search</title>
    <style>
        h1 {
            margin: auto;
            text-align: center;
            background-color:   #900;
            color:  #FC0;
        //            height: 60px;
            line-height: 60px;
        }

        h2 {
            margin: auto;
            text-align: center;
            padding:  30px;
        }

        .container {
            width:  400px;
            margin: auto;
            border: 1px solid red;
        }

        .left-col, .right-col {
            float:  left;
            width:  100%;
            height: 280px;
            border: 1px solid #990000;
        }

        .label, .input {
            float:  left;
            width:  130px;
            margin: 3px;
        }

        .label {
            margin-left: 40px;
        }

        .input>input, .input>select {
            width:  100%;
        }

        .search-submit {
            margin-top: 20px;
            margin-left: 170px;
            width:  80px;
        }
    </style>
</head>

<body>
<div class="container">
    <h1>Mobile Devices Database</h1>
    <?php
        $host = "webdev.iyaserver.com";
        $userid = "dent_guest";
        $userpw = "Acad276_Dev2Ex@m";
        $db = "dent_exam";

        $mysql = new mysqli($host, $userid, $userpw, $db);

        if ($mysql->connect_errno) {
            echo "Database connection error: " . $mysql->connect_error;
            exit();
        }

        function get_options($table, $column) {
            global $mysql;
            $sql = "SELECT DISTINCT $column FROM $table WHERE $column != '' AND $column != ' ' ORDER BY $column";
            $results = $mysql->query($sql);
            if (!$results) {
                echo "SQL error: " . $mysql->error;
                exit();
            }
            $options = "<option value=''>Select a " . ucfirst($column) . "</option>";
            $options .= "<option value=''>----------------</option>";
            while ($row = $results->fetch_assoc()) {
                $options .= "<option value='" . htmlspecialchars($row[$column]) . "'>" . htmlspecialchars($row[$column]) . "</option>";
            }
            return $options;
        }
        ?>
    <div class="left-col">
        <h2>Search the Database</h2>
        <form method="get" action="results.php">
            <div class="label">Device Name:</div>
            <div class="input">
                <input type="text" name="device_name"/>
            </div>
            <br clear="all"/>

            <div class="label">Manufacturer :</div>
            <div class="input">
                <select name="manufacturer_id">
                    <?php echo get_options("manufacturers", "manufacturer"); ?>
                </select>
            </div>
            <br clear="all"/>

            <div class="label">Operating System:</div>
            <div class="input">
                <select name="system_id">
                    <?php echo get_options("systems", "system"); ?>
                </select>
            </div>
            <br clear="all"/>

            <div class="label">Type:</div>
            <div class="input">
                <select name="type_id">
                    <?php echo get_options("types", "type"); ?>
                </select>
            </div>
            <br clear="all"/>

            <input class="search-submit" type="submit" value="Search"/>
        </form>
    </div>
    <br clear="all"/>
</div>
</body>
</html>