<!DOCTYPE html>
<html>
<head lang="en">
    <meta charset="UTF-8">
    <title>Acad276 Practical Exam: Results</title>
    <style>

        .container {
            width:  600px;
            margin: auto;
        }

        h1 {
            margin: auto;
            text-align: center;
            background-color:   #900;
            color:  #FC0;
            height: 60px;
            line-height: 60px;
        }

        .num-results {
            margin: 20px 10px;
        }

        table {
            margin: auto;
            margin-bottom: 20px;
            width:  80%;
            border-collapse: collapse;
        }

        th, td {
            border: 1px solid #900;
            border-collapse: collapse;
            padding:    10px;
            text-align: center;
        }

        img {
            width: 100px;
        }

        .nav-link{
            margin: 10px 0px;
            font-size: 14px;
        }

    </style>

</head>

<body>
<div class="container">
    <h1>Mobile Device Database: Search Results</h1>
        <?php
            $host = "webdev.iyaserver.com";
            $userid = "dent_guest";
            $userpw = "Acad276_Dev2Ex@m";
            $db = "dent_exam";

            $mysql = new mysqli($host, $userid, $userpw, $db);

            if ($mysql->connect_errno) {
                echo "Database connection error: " . $mysql->connect_error;
                exit();
            }

            if (empty($_REQUEST['manufacturer_id']) || empty($_REQUEST['system_id']) || empty($_REQUEST['type_id'])) {
                echo "Please go through <a href='search.php'>search page</a>.";
                exit();
            }

            $sql = 	"SELECT * FROM devices, systems, types, manufacturers 
         WHERE devices.manufacturer_id = manufacturers.manufacturer_id 
           AND devices.system_id = systems.system_id 
           AND devices.type_id = types.type_id
           AND manufacturers.manufacturer = '" . $_REQUEST["manufacturer_id"] . "'" .
           "AND systems.system = '" . $_REQUEST["system_id"] . "'" .
                "AND types.type = '" . $_REQUEST["type_id"] . "'";

                $results = $mysql->query($sql);

            if(!$results) {
                echo "SQL Error: " . $mysql->error . "<hr>";
                exit();
            }

        ?>
    <div class="nav-link">
        <a href="search.php"><< Back to Search Page</a>
    </div>

    <div class="num-results">
        <?php
            echo "<em>Your results returned <strong>" .
                $results->num_rows .
                "</strong> results.</em>";
            echo "<br><br>";
        ?>
    </div>

    <table>
        <tr>
            <th>Name</th>
            <th>Price</th>
            <th>Manufacturer</th>
            <th>System</th>
            <th>Type</th>
        </tr>

        <?php
            while($currentrow = $results->fetch_assoc()) {
                echo "<tr><th><a href='details.php?id=" . $currentrow["device_id"] . "'>" .
                    $currentrow['name'] .
                    "</a></th>" .
                    "<th>" . $currentrow['price'] . "</th>" .
                    "<th>" . $currentrow['manufacturer'] . "</th>" .
                    "<th>" . $currentrow['system'] . "</th>" .
                    "<th>" . $currentrow['type'] . "</th><tr>";
            }
        ?>
    </table>
</div>
</body>
</html>